Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nz.co.cks.tms.xml
Class NcbServiceType

    java.lang.Object
      nz.co.cks.tms.xml.NcbServiceType

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  NcbService

public abstract class NcbServiceType
extends java.lang.Object
implements java.io.Serializable

Class NcbServiceType.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private java.util.Vector` | `_attribList` Field _attribList
`private java.lang.String` | `_serviceCode` Field _serviceCode

Constructor Summary
`NcbServiceType()`

Method Summary
`void` | `addAttrib(Attrib vAttrib)` Method addAttrib
`void` | `addAttrib(int index, Attrib vAttrib)` Method addAttrib
`java.util.Enumeration` | `enumerateAttrib()` Method enumerateAttrib
`Attrib[]` | `getAttrib()` Method getAttrib
`Attrib` | `getAttrib(int index)` Method getAttrib
`int` | `getAttribCount()` Method getAttribCount
`java.lang.String` | `getServiceCode()` Method getServiceCodeReturns the value of field 'serviceCode'.
`boolean` | `isValid()` Method isValid
`void` | `removeAllAttrib()` Method removeAllAttrib
`Attrib` | `removeAttrib(int index)` Method removeAttrib
`void` | `setAttrib(Attrib[] attribArray)` Method setAttrib
`void` | `setAttrib(int index, Attrib vAttrib)` Method setAttrib
`void` | `setServiceCode(java.lang.String serviceCode)` Method setServiceCodeSets the value of field 'serviceCode'.
`void` | `validate()` Method validate

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _attribList

    private java.util.Vector _attribList

  Field _attribList

### _serviceCode

    private java.lang.String _serviceCode

  Field _serviceCode

Constructor Detail

### NcbServiceType

    public NcbServiceType()

Method Detail

### addAttrib

    public void addAttrib(Attrib vAttrib)
                   throws java.lang.IndexOutOfBoundsException

  Method addAttrib

  Parameters:
    `vAttrib` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addAttrib

    public void addAttrib(int index,
                          Attrib vAttrib)
                   throws java.lang.IndexOutOfBoundsException

  Method addAttrib

  Parameters:
    `index` -
    `vAttrib` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### enumerateAttrib

    public java.util.Enumeration enumerateAttrib()

  Method enumerateAttrib

### getAttrib

    public Attrib[] getAttrib()

  Method getAttrib

### getAttrib

    public Attrib getAttrib(int index)
                     throws java.lang.IndexOutOfBoundsException

  Method getAttrib

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getAttribCount

    public int getAttribCount()

  Method getAttribCount

### getServiceCode

    public java.lang.String getServiceCode()

  Method getServiceCodeReturns the value of field 'serviceCode'.

  Returns:
    the value of field 'serviceCode'.

### isValid

    public boolean isValid()

  Method isValid

### removeAllAttrib

    public void removeAllAttrib()

  Method removeAllAttrib

### removeAttrib

    public Attrib removeAttrib(int index)

  Method removeAttrib

  Parameters:
    `index` -

### setAttrib

    public void setAttrib(Attrib[] attribArray)

  Method setAttrib

  Parameters:
    `attribArray` -

### setAttrib

    public void setAttrib(int index,
                          Attrib vAttrib)
                   throws java.lang.IndexOutOfBoundsException

  Method setAttrib

  Parameters:
    `index` -
    `vAttrib` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setServiceCode

    public void setServiceCode(java.lang.String serviceCode)

  Method setServiceCodeSets the value of field 'serviceCode'.

  Parameters:
    `serviceCode` - the value of field 'serviceCode'.

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Method validate

  Throws:
    `org.exolab.castor.xml.ValidationException`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD